PKGCTL-REPO-CLONE(1)

BEZEICHNUNG
pkgctl-repo-clone - Klonen eines Paket-Repositoriums

ÜBERSICHT

pkgctl repo clone [OPTIONEN] [PKGNAME…]

BESCHREIBUNG

Klont Git-Paketierungsrepositorien aus einem kanonischen Namensraum.

Anschließend wird der Konfigurationsbefehl aufgerufen, um die Distributionsspezifikationen und makepkg.conf-Einstellungen zu synchronisieren. Die nicht privilegierte Option kann zum Klonen von Paketierungsrepositorien ohne SSH-Zugriff mit schreibgeschütztem HTTPS verwandt werden.

OPTIONEN

-m, --maintainer NAME
    Klont alle Pakete des angegebenen Betreuers.

--protocol https
    Klont die Repositorien über HTTPS.

--universe
    Klont alle existierenden Pakete, nützlich zum Aufwärmen des Zwischenspeichers.

--switch VERSION
    Wechselt auf eine bestimmte Version. Der Arbeitsbaum und der Index werden aktualisiert, so dass sie zu der Version passen.

-j, --jobs N
    Führt bis zu N Aufträge parallel aus. Standardmäßig ist die Anzahl der Aufträge identisch zu der Anzahl der verfügbaren Verarbeitungseinheiten. Für sequenzielle Bearbeitung muss diese Option mit einer 1 übergeben werden.

-h, --help
    Zeigt einen Hilfetext an.

SIEHE AUCH

pkgctl-repo-configure(1), pkgctl-repo-switch(1)

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.